summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/ap
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/ap')
-rw-r--r--slackware64-current/source/ap/linuxdoc-tools/ChangeLog.txt11
-rwxr-xr-xslackware64-current/source/ap/linuxdoc-tools/arm/build2
-rwxr-xr-xslackware64-current/source/ap/linuxdoc-tools/postbuildfixes.sh14
-rwxr-xr-xslackware64-current/source/ap/linuxdoc-tools/trackbuild.linuxdoc-tools2
-rw-r--r--slackware64-current/source/ap/lxc/lxc-slackware.in12
-rwxr-xr-xslackware64-current/source/ap/lxc/lxc.SlackBuild11
6 files changed, 46 insertions, 6 deletions
diff --git a/slackware64-current/source/ap/linuxdoc-tools/ChangeLog.txt b/slackware64-current/source/ap/linuxdoc-tools/ChangeLog.txt
index a16291001..8ea443ac8 100644
--- a/slackware64-current/source/ap/linuxdoc-tools/ChangeLog.txt
+++ b/slackware64-current/source/ap/linuxdoc-tools/ChangeLog.txt
@@ -1,3 +1,14 @@
+Thu Jun 15 08:08:08 UTC 2017
+ linuxdoc-tools 0.9.72, build 3.
+ Stuart Winter <mozes@slackware.com>
+ * Remove .la files from the package at the suggestion of volkerdi.
+ /usr/lib/libospgrove.la
+ /usr/lib/libosp.la
+ /usr/lib/libostyle.la
+ /usr/lib/libogrove.la
+ (or "lib64").
+ None of these are referenced by a '.la' file within any Slackware package.
+
Wed Jun 7 10:27:13 UTC 2017
linuxdoc-tools 0.9.72, build 2.
Stuart Winter <mozes@slackware.com>
diff --git a/slackware64-current/source/ap/linuxdoc-tools/arm/build b/slackware64-current/source/ap/linuxdoc-tools/arm/build
index bebc5b027..2e857b012 100755
--- a/slackware64-current/source/ap/linuxdoc-tools/arm/build
+++ b/slackware64-current/source/ap/linuxdoc-tools/arm/build
@@ -10,7 +10,7 @@ source /usr/share/slackdev/buildkit.sh
# Package metadata:
export PKGNAM=linuxdoc-tools
export VERSION=${VERSION:-0.9.72}
-export BUILD=${BUILD:-2}
+export BUILD=${BUILD:-3}
export PKGSERIES=${PKGSERIES:-ap}
export SLACKPACKAGE=$PKGNAM-$VERSION-$PKGARCH-$BUILD.txz
export PKGEXT=${PKGEXT:-txz}
diff --git a/slackware64-current/source/ap/linuxdoc-tools/postbuildfixes.sh b/slackware64-current/source/ap/linuxdoc-tools/postbuildfixes.sh
index f59c56c89..c7cb28783 100755
--- a/slackware64-current/source/ap/linuxdoc-tools/postbuildfixes.sh
+++ b/slackware64-current/source/ap/linuxdoc-tools/postbuildfixes.sh
@@ -20,7 +20,19 @@
# path name - only use relative paths (ie rm usr/bin/foo *not* rm /usr/bin/foo).
# Enter the package's contents:
-cd $SLACKTRACKFAKEROOT
+cd $SLACKTRACKFAKEROOT || exit 1
+
+# Remove .la files:
+echo "Deleting .la files..."
+find . -type f -name '*.la' -print | while read lafile ; do
+ # Remove it from the build box itself to prevent other packages potentially referencing it.
+ # This wouldn't be a problem if you removepkg linuxdoc-tools (the version created by slacktrack
+ # that contains everything prior to _this_ post build script running) before building any other
+ # packages; but in case you don't, let's remove it from the OS file system:
+ rm "/${lafile}"
+ # Remove it from the distributable package t?z file:
+ rm -fv "${lafile}"
+done
# OpenSP creates this symlink; we delete it.
if [ -L usr/share/doc ]; then
diff --git a/slackware64-current/source/ap/linuxdoc-tools/trackbuild.linuxdoc-tools b/slackware64-current/source/ap/linuxdoc-tools/trackbuild.linuxdoc-tools
index 1f6ad24ce..33afd1495 100755
--- a/slackware64-current/source/ap/linuxdoc-tools/trackbuild.linuxdoc-tools
+++ b/slackware64-current/source/ap/linuxdoc-tools/trackbuild.linuxdoc-tools
@@ -32,7 +32,7 @@ if [ -z "$ARCH" ]; then
fi
export PKGVERSION=0.9.72 # use the version of linuxdoc-tools as the package version.
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
PKGEXT=${PKGEXT:-txz}
export CWD=$PWD
diff --git a/slackware64-current/source/ap/lxc/lxc-slackware.in b/slackware64-current/source/ap/lxc/lxc-slackware.in
index 6049d2a5f..5800da921 100644
--- a/slackware64-current/source/ap/lxc/lxc-slackware.in
+++ b/slackware64-current/source/ap/lxc/lxc-slackware.in
@@ -228,6 +228,8 @@ bash
bin
bzip2
coreutils
+cyrus-sasl
+db48
dcron
dhcpcd
dialog
@@ -240,16 +242,26 @@ findutils
gawk
glibc-solibs
gnupg
+gnutls
grep
gzip
+iproute2
iputils
+kmod
+libcap-ng
+libffi
+libmnl
+libtasn1
+libunistring
logrotate
mpfr
net-tools
+nettle
network-scripts
ncurses
openssh
openssl-solibs
+p11-kit
pkgtools
procps-ng
sed
diff --git a/slackware64-current/source/ap/lxc/lxc.SlackBuild b/slackware64-current/source/ap/lxc/lxc.SlackBuild
index 3383ee352..688eac00b 100755
--- a/slackware64-current/source/ap/lxc/lxc.SlackBuild
+++ b/slackware64-current/source/ap/lxc/lxc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2011, 2012, 2013, 2014, 2015, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011, 2012, 2013, 2014, 2015, 2016, 2017 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PKGNAM=lxc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | rev | cut -f 2- -d -)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -96,13 +96,18 @@ CFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--with-global-conf=/etc/lxc/lxc.conf \
--with-rootfs-path=/var/lib/rootfs-lxc \
+ --enable-cgmanager=no \
+ --disable-werror \
$python \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
# Add the modified Slackware startup scripts:
mkdir -p $PKG/usr/share/lxc/scripts/slackware
cp -a $CWD/scripts/*.lxc $PKG/usr/share/lxc/scripts/slackware